classification
Title: Link error of gethostbyaddr and gethostname in Python Manuals (the chm file)
Type: behavior Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, juneaftn, loewis
Priority: normal Keywords:

Created on 2008-02-16 16:32 by juneaftn, last changed 2008-05-11 10:44 by georg.brandl. This issue is now closed.

Messages (3)
msg62459 - (view) Author: June Kim (juneaftn) Date: 2008-02-16 16:32
Finding gethostname and gethostbyaddr entities from the index tab and 
clicking them in Python25.chm results in showing up the wrong section 
of 14.1.1 Process Parameters, instead of the proper section 17.2 
socket.
msg62614 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-02-21 10:00
That's difficult to fix. Notice that this page does reference
gethostbyaddr (in the uname documentation), and that the online HTML
version links to both the socket and the os modules. Apparently, the CHM
generation picks up the first link.
msg62653 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-02-21 20:18
I think you get two links in the CHM generated by Sphinx. Can somebody
with a working HTML Help Compiler check that?
History
Date User Action Args
2008-05-11 10:44:28georg.brandlsetstatus: pending -> closed
2008-03-29 01:55:22georg.brandlsetstatus: open -> pending
2008-02-21 20:18:08georg.brandlsetassignee: georg.brandl
messages: + msg62653
nosy: + georg.brandl
2008-02-21 10:00:12loewissetnosy: + loewis
messages: + msg62614
2008-02-16 16:32:39juneaftncreate